aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>1999-03-10 15:22:20 +0000
committerBill Nottingham <notting@redhat.com>1999-03-10 15:22:20 +0000
commit7e5a6b9280e19aae032ba31d3092798d8e805811 (patch)
tree1323424e64c4e363373d6869972a4557c7570f64
parentb3259ecec959eb9915e4dca72fc9fc231049503b (diff)
downloadinitscripts-7e5a6b9280e19aae032ba31d3092798d8e805811.tar
initscripts-7e5a6b9280e19aae032ba31d3092798d8e805811.tar.gz
initscripts-7e5a6b9280e19aae032ba31d3092798d8e805811.tar.bz2
initscripts-7e5a6b9280e19aae032ba31d3092798d8e805811.tar.xz
initscripts-7e5a6b9280e19aae032ba31d3092798d8e805811.zip
change to pidofproc suggested by "Mike McHenry" <mmchen@minn.net>
-rwxr-xr-xrc.d/init.d/functions6
1 files changed, 3 insertions, 3 deletions
diff --git a/rc.d/init.d/functions b/rc.d/init.d/functions
index daba8c5b..45de373a 100755
--- a/rc.d/init.d/functions
+++ b/rc.d/init.d/functions
@@ -148,9 +148,9 @@ pidofproc() {
fi
# Finally try to extract it from ps
- ps auxw | awk 'BEGIN { prog=ARGV[1]; ARGC=1 }
- { if ((prog == $11) || (("(" prog ")") == $11) ||
- ((prog ":") == $11)) { print $2 ; exit 0 } }' $1
+ ps ax | awk 'BEGIN { prog=ARGV[1]; ARGC=1 }
+ { if ((prog == $5) || (("(" prog ")") == $5) ||
+ ((prog ":") == $5)) { print $1 ; exit 0 } }' $1
}
status() {